
<div class="container text-center">

    <form class="form form-login col-sm-6 col-sm-offset-3 col-xs-12" name="login_form" ng-submit="submitForm()"
          novalidate>
        <h2>Please sign in</h2>
        <div class="form-group"
             ng-class="{ 'has-error' : login_form.email.$invalid && !login_form.email.$pristine }">
            <input type="email" name="email" class="form-control" ng-model="user.email" placeholder="Email">
            <p ng-show="login_form.email.$invalid && !login_form.email.$pristine" class="help-block">Enter
                a valid email.</p>
        </div>

        <div class="form-group"
             ng-class="{ 'has-error' : login_form.password.$invalid && !login_form.password.$pristine }">
            <input type="password" name="password" class="form-control" ng-model="user.password" placeholder="Password" required>
            <p ng-show="login_form.password.$invalid && !login_form.password.$pristine" class="help-block">You
                password is required.</p>
        </div>

        <div class="form-group" class="help-block">{{error}}</div>

        <button ng-disabled="login_form.$invalid" class="btn btn-lg btn-primary btn-block" type="submit">Sign in</button>

    </form>

</div>
